Subject: Re: bug#61436: Emacs Freezing With Java Files

From: Mats Lidell <[email-masked]>
Date: Wed, 11 Oct 2023 23:43:02 +0200

Hi,

> Jens Schmidt writes:
> Now for the next reproducer (Hyperbole no longer required, but still
> present through its regexp :-):

I can confirm that I get a harder freeze this time using the submitted P1.java
file.  I now get the reported behavior of not even displaying the file.

I've tried at occasions, over the last years, to use Emacs for coding java in
my day job. It has always ended in some freeze that feels quite like this. I
bet it is this. Would be a fun irony if it is Hyperboles regexp that has
caused it, and it is about to be solved now when I'm not coding java! 🤣

Anyway, I will take a look too. With the clear description and easy to
reproduce it could be possible to solve! ;-) 

%% Mats